Show / Hide Table of Contents

# Enum ClientType

Defines the types of clients a user can be active on.

###### Namespace: Discord

###### Assembly: Discord.Net.Core.dll

##### Syntax

    public enum ClientType

### Fields

Name | Description
--- | ---
Desktop | The user is active using the desktop application.
Mobile | The user is active using the mobile application.
Web | The user is active using the web application.

### Extension Methods

EnumExtensions.GetAttribute<TAttribute>()